Bug 28590 - ClassLoader is wrong after jsp:include
Summary: ClassLoader is wrong after jsp:include
Status: RESOLVED FIXED
Alias: None
Product: Tomcat 3
Classification: Unclassified
Component: Servlet (show other bugs)
Version: 3.3.x Nightly
Hardware: All All
: P3 normal (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-26 08:03 UTC by Hugh J. Lee
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hugh J. Lee 2004-04-26 08:03:44 UTC
Jdk12Interceptor.postService() sets thread context class loader at postService
() time of the included jsp, so the rest part of the outer jsp doesn't run in 
web app class loader.

Test jsp:

<%out.println(Thread.currentThread().getContextClassLoader());%>
<jsp:include page="/any.jsp" flush="true"/>
<%out.println(Thread.currentThread().getContextClassLoader());%>

Output:

org.apache.tomcat.util.depend.DependClassLoader12Impl
...
java.net.FactoryURLClassLoader

Tomcat 4 doesn't have this bug.
Comment 1 william.barker 2004-04-27 02:46:59 UTC
Fixed now in the CVS.